#keep level 2 fight #1
from eventAPI import *
from APIUtils import *

rtKeep2Flag1=0

def fireEvent(e):
   global rtKeep2Flag1
   rtKeep2Flag1 = getTag(e, "rtKeep2Flag1")
   if (rtKeep2Flag1 == 1):
      return 1
   else:
      fightThem(e)
   if (rtKeep2Flag1 == 1):
      return 1
   else:
      return 0

def fightThem(e):
   combatRet = combat(e, [("Giant Spider", 2, 0, 10)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtKeep2Flag1
   rtKeep2Flag1 = 1
   setTag(e, "rtKeep2Flag1", rtKeep2Flag1)
